org.apache.cassandra.db

## Class CounterUpdateColumn

- java.lang.Object
- - org.apache.cassandra.db.Column
  - - org.apache.cassandra.db.CounterUpdateColumn

All Implemented Interfaces:
  OnDiskAtom

    public class CounterUpdateColumn
    extends Column

A counter update while it hasn't been applied yet by the leader replica. Contains a single counter update. When applied by the leader replica, this is transformed to a relevant CounterColumn. This Column is a temporary data structure that should never be stored inside a memtable or an sstable.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.Column

`MAX_NAME_LENGTH, name, serializer, timestamp, value`

### Constructor Summary

Constructors
Constructor and Description
`CounterUpdateColumn(java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp)`
`CounterUpdateColumn(java.nio.ByteBuffer name, long value, long timestamp)`

### Method Summary

Methods
`long` `delta()`
`Column` `diff(Column column)`
`CounterColumn` `localCopy(ColumnFamilyStore cfs)`
`Column` `localCopy(ColumnFamilyStore cfs, Allocator allocator)`
`Column` `reconcile(Column column, Allocator allocator)`
`int` `serializationFlags()`

### Methods inherited from class org.apache.cassandra.db.Column

`create, create, create, create, create, create, create, dataSize, equals, getLocalDeletionTime, getMarkedForDeleteAt, getString, hashCode, hasIrrelevantData, isLive, isMarkedForDelete, maxTimestamp, minTimestamp, name, onDiskIterator, onDiskSerializer, reconcile, serializedSize, serializedSizeForSSTable, timestamp, updateDigest, validateFields, validateName, value, withUpdatedName, withUpdatedTimestamp`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterUpdateColumn

    public CounterUpdateColumn(java.nio.ByteBuffer name,
                       long value,
                       long timestamp)

#### CounterUpdateColumn

    public CounterUpdateColumn(java.nio.ByteBuffer name,
                       java.nio.ByteBuffer value,
                       long timestamp)

### Method Detail

#### delta

    public long delta()

#### diff

    public Column diff(Column column)

Overrides:
  `diff` in class `Column`

#### reconcile

    public Column reconcile(Column column,
                   Allocator allocator)

Overrides:
  `reconcile` in class `Column`

#### serializationFlags

    public int serializationFlags()

Overrides:
  `serializationFlags` in class `Column`

#### localCopy

    public CounterColumn localCopy(ColumnFamilyStore cfs)

Overrides:
  `localCopy` in class `Column`

#### localCopy

    public Column localCopy(ColumnFamilyStore cfs,
                   Allocator allocator)

Overrides:
  `localCopy` in class `Column`